import logging
from typing import List

from dbotbase.config import Config


class CogConfig(Config):
    def __init__(self, name: str, config_files: List[str] = None):
        super().__init__(name=name, config_files=config_files)

    @property
    def log_level(self):
        level = self.get(key='Logging', default='INFO')
        return logging.getLevelName(level)

    @property
    def admin_ids(self):
        return self.get(key='AdminIDs', path=["Discord"], default=[])

    @property
    def admin_role_names(self):
        return self.get(key='AdminRoleNames', path=["Discord"], default=[])
